### 4.2 Cervejas

# 1 Represente este resultado como um grfico de barras e um dotplot (funo dotchart).
cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")
barplot(table(cervejas))
dotchart(table(cervejas))

#2 Qual tem maior razo dado/tinta?
# Grfico de barras tem maior razo dado/tinta. 

### 4.3 Caixetas

caixeta = read.csv("caixeta.csv", header=T, sep=",", dec=",", as.is=T)
names(caixeta)

# 1 Construa um histograma do dap1 dos fustes dos caixetais.

hist(caixeta$cap)
r <- caixeta$cap/2*pi
dap <- 2*r 
hist(dap)

# 2 Construa histogramas da altura das rvores para os diferentes caixetais ('local').

as.factor(caixeta$local)
par(mfrow=c(2,2))
hist(caixeta$h[caixeta$local=="chauas"], breaks=40, main="Altura - chauas")
hist(caixeta$h[caixeta$local=="jureia"], breaks=40,main="Altura - jureia")
hist(caixeta$h[caixeta$local=="retiro"], breaks=40,main="Altura - retiro") 

# 3 H diferenas entre as estruturas (distribuio de tamanhos) dos caixetais?
#Sim, h diferenas nas estruturas. 


### 4.4 Eucaliptos

e.grandis <- read.table("egrandis.csv", header=T, sep=";", as.is=TRUE)
str(e.grandis)
head(e.grandis)

regiao <- factor(e.grandis$regiao)
rotacao <- factor(e.grandis$rotacao)
boxplot(e.grandis$dap~e.grandis$regiao)
boxplot(e.grandis$dap~e.grandis$rotacao)


### 4.5 Mais Caixetais   

caixeta <- read.table("caixeta.csv", header=T, sep=",", as.is=TRUE)
head(caixeta)

# 1 relao dap-altura ('dap' e 'h')

tabebuia <- caixeta[caixeta$especie=="Tabebuia cassinoides",]
tabebuia$areabasal <- pi*((tabebuia$cap/pi)/2)^2
head(tabebuia)
factor(tabebuia$local)



