#4.2

cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")


#4.2.1.

barplot(table(cervejas))
dotchart(table(cervejas))

table(cervejas)



#4.3

caixeta <- read.table("caixeta.csv", sep = ",", dec=".", header = T, as.is = T)

str(caixeta)

## 4.3.1
caixeta$dap <- caixeta$cap/pi
head(caixeta)
caixeta$local <- as.factor(caixeta$local)
dap.arvore <- aggregate(dap,list(Arvore=caixeta$arvore, Local=caixeta$local), sum)


hist(dap.arvore$x, xlab="dap", ylab="Freq")

## 4.3.2 
table(caixeta$local)

Chauas <- caixeta[caixeta$local=="chauas",]
altura.arvore <- aggregate(Chauas$h, by=list(Arvore=Chauas$arvore), sum)

Jureia <- caixeta[caixeta$local=="jureia",]
altura.arvore.c <- aggregate(Jureia$h, by=list(Arvore=Jureia$arvore), sum)

Retiro <- caixeta[caixeta$loca=="retiro",]
altura.arvore.l <- aggregate(Retiro$h,list(Arvore=Retiro$arvore), sum)


hist(altura.arvore.l, xlab="Altura", main="Retiro")

hist(altura.arvore$x, xlab="Altura", main="Chauas")
hist(altura.arvore.c$x, xlab="Altura", main="Jureia")


# 4.4

e.grandis <- read.table("egrandis.csv", sep = ";", header = T, as.is = T)

boxplot(dap~regiao+rotacao, data=e.grandis)


qqnorm(e.grandis$ht)
qqline(e.grandis$ht, col="blue")

hist(e.grandis$ht)

#4.5 


tcas <- caixeta[caixeta$especie == "Tabebuia cassinoides",] 
tcas <- subset(caixeta, especie == "Tabebuia cassinoides", select=c("arvore","h","local","dap")) 

with(tcassi[tcas$local=="retiro",], plot(dap~h, xlab="altura", ylab="dap retiro"))

with(tcas[tcas$local=="chauas",], plot(dap~h, xlab="altura", ylab="dap chauas"))
with(tcassi[tcas$local=="jureia",], plot(dap~h, xlab="altura", ylab="dap jureia"))

# 4.5.2 
#chaus
with(tcas[tcas$local=="chauas",], scatter.smooth(tcas[tcas$local=="chauas", "dap"]~tcas[tcas$local=="chauas", "h"], xlab = "altura", ylab = "dap"))
#jureia
with(tcas[tcas$local=="jureia",], scatter.smooth(tcas[tcas$local=="jureia", "dap"]~tcas[tcas$local=="jureia", "h"], xlab = "altura", ylab = "dap", main="jureia"))
#retiro
with(tcas[tcas$local=="retiro",], scatter.smooth(tcas[tcas$local=="retiro", "dap"]~tcas[tcas$local=="retiro", "h"], xlab = "altura", ylab = "dap"))

#presenca de valor aberrante (chauas)

#4.5.3 
library(lattice)

xyplot(dap~h|local, data=tcas, xlab="DAP", ylab="altura")