#Reamostragem e Simulação

#1.

#1.1
eutad <- read.table("palmadulto.txt", head=T, sep="\t")
eutad
plot(eutad$gy~eutad$gx)

##1.2
dist <- matrix(NA, ncol=102, nrow=102)
dist

##1.3
for(i in 1:101)
    {
        for(j in (i+1):102)
            {
                difx2=(eutad$gx[i]-eutad$gx[j])^2
                dify2=(eutad$gy[i]-eutad$gy[j])^2
                dist[i,j]<-sqrt(difx2 + dify2)
                dist[j,i]<-sqrt(difx2 + dify2)
            }
          
    }

##1.4
dist
nn<-apply(dist, 1, min, na.rm=TRUE)
mnn<-mean(nn)
mnn

##1.5 a 1.7
nSim <- 1000
resultado <- rep(NA,nSim)
resultado
resultado[1] <- mnn
for(k in 2:nSim)

##1.8
   {
         xsim <- runif(102,0,320)
         ysim <- runif(102,0,320)
         dists <- matrix(NA, ncol=102, nrow=102)
         for(i in 1:101)
    {
        for(j in (i+1):102)
            {
                difx2s=(xsim[i]-xsim[j])^2
                dify2s=(ysim[i]-ysim[j])^2
                dists[i,j]<-sqrt(difx2s + dify2s)
                dists[j,i]<-sqrt(difx2s + dify2s)
            }
          
    }
          nns <- apply(dists, 1, min, na.rm=TRUE)
          resultado[k] <- mean(nns)
   }

##1.9
resultado
hist(resultado)
abline(v = resultado[1], col="red")

##1.10
p.mnn <- sum(resultado<=resultado[1])/nSim
p.mnn

#2

anim <- read.table("animais.txt", head=T,dec=",",sep=";") 
anim
table(apply(is.na(anim),1,sum))
anim1 <- anim[apply(is.na(anim),1,sum)==0,]
anim1

##2.1
inclin <- (sum((log(anim1$body) - mean(log(anim1$body)))*(log(anim1$brain)-
mean(log(anim1$brain)))))/sum((log(anim1$body) - mean(log(anim1$body)))^2)
inclin
md.anim <- lm(log(brain)~log(body), data=anim1)
md.anim

##2.2 a 2.7
nSim1 <- 1000
simul <- rep(NA,nSim1)
simul
simul[1] <- inclin
for(l in 2:nSim1)
  {
     sim_brain <- sample(anim1$brain,length(anim1$brain))
     simul[l] <- (sum((log(anim1$body) - mean(log(anim1$body)))*(log(sim_brain)-
     mean(log(sim_brain)))))/sum((log(anim1$body) - mean(log(anim1$body)))^2)
  }

##2.8
simul
hist(simul, xlim=c(-0.8,0.8))
abline(v = simul[1], col="red")
abline(v = simul[1]*-1, col="red")

##2.9
p.inclin <- sum(simul>=simul[1] | simul<=(simul[1]*-1))/nSim1
p.inclin

