### 7.2 O modelo mais simples possvel ###

library(MASS)
data(Animals)
str(Animals)

# Regresso com todos os pontos:
anim.m1 <- lm(log(brain)~log(body),data=Animals)
abline(anim.m1, col="blue")

# Regresso sem pontos extremos relacionado aos dinossauros:
anim.m2 <- lm(log(brain)~log(body),data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6))

# Ajuste de modelo (modelo nulo):
anim.m0 <- lm(log(brain)~1, data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6))

# Comparando os dois ltimos:
anova(anim.m0,anim.m2)

###Perguntas:

# 1) Qual a relao do comando 'anova' acima com: anova(anim.m2)
# 	No h diferena nos resultados finais, pois a funo parte do princpio da 
# comparao de dois modelos, um mais complexo e outro mais simples, mesmo quando 
# fornecido apenas um modelo complexo no comando.

# 2) Qual a relao entre os valores obtidos por estes comandos:

## Esta funo trs as informaes relacionadas ao modelo nulo:
summary(anim.m0)

## Este comando mostra a mdia dos dados em log sem os valores extremos da coluna "brain"
mean(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))

## Este comando gera o desvio padro para os mesmos dados da mdia
sd(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))

# 	Os valores de mdia e desvio padro coicidem com os valores apresentados no resumo do modelo, 
# uma vez que o modelo nulo contm o intercepto da reta exatamente na mdia e consequentemente
# o mesmo desvio padro.
 

