### Exerccios 8. Reamostragem e Simulao ### 

### Exerccio 1. ####

eutad <- read.table("palmadulto.txt", header=T, sep="", as.is=TRUE)
eutad
str(eutad)

dist <- matrix(NA, ncol=102, nrow=102)

for(i in 1:101)
{
  for(j in (i+1):102)
  {
    difx2=(eutad$gx[i]-eutad$gx[j])^2
    dify2=(eutad$gy[i]-eutad$gy[j])^2
    dist[i,j]<-sqrt(difx2 + dify2)
    dist[j,i]<-sqrt(difx2 + dify2)
  }
  
}

dist
(nn<-apply(dist, 1, min, na.rm=TRUE))
(mnn<-mean(nn))

#### Simulando .... ### 

resultado= rep(NA, 1000)
resultado[1]= mnn

for(k in 2:1000)
{
  
xsim= round(runif(102, 0, 320),1)
ysim= round(runif(102, 0,320), 1)

resim= matrix(NA, ncol=102, nrow=102)
for(i in 1:101)
{
  for(j in (i+1):102)
  {
    difx2= (xsim[i]-xsim[j])^2
    dify2= (ysim[i]- ysim[j])^2
    resim[i,j]= sqrt(difx2 + dify2)
    resim[j,i]=sqrt(difx2 + dify2)
  }
}
  resultado[k]=mean(apply(resim, 1, min, na.rm=TRUE))
} 
  
resim[1:10, 1:10]

hist(resultado)
abline(v = resultado[1], col="red")
pMNN <- sum(resultado<=resultado[1])/length(resultado)
pMNN

###########################
####### Exerccio 2 #######
###########################

animais <- read.table("animais.txt", header=T, sep=";", dec = ",")
animais
str(animais)

animais <- animais[!is.na(animais$brain),]
animais$body <- log(animais$body)
animais$brain <- log(animais$brain)

beta <- sum((animais$body-mean(animais$body))*(animais$brain-mean(animais$brain))/
              sum((animais$body-mean(animais$body))^2))
beta

result <- rep(NA,1000)
result[1] <- beta

for (i in 2:1000)
        {
         sim_brain <- sample(animais$brain) 
         result[i] <- sum((animais$body-mean(animais$body))*(sim_brain-mean(sim_brain))/
                            sum((animais$body-mean(animais$body))^2))
        }

hist(result)
abline(v = result[1], col="red")

p2 <- sum(result>=result[1])/length(result)
p2

