#ex. 8

eutad = read.table(file= "palmadulto.txt", header=T, sep="\t", as.is = T)
dist = matrix(NA, ncol=102, nrow=102)

for(i in 1:101)
    {
        for(j in (i+1):102)
            {
                difx2=(eutad$gx[i]-eutad$gx[j])^2
                dify2=(eutad$gy[i]-eutad$gy[j])^2
                dist[i,j]<-sqrt(difx2 + dify2)
                dist[j,i]<-sqrt(difx2 + dify2)
            }
          
    }

dist

(nn<-apply(dist, 1, min, na.rm=TRUE))
(mnn<-mean(nn))

resultado = rep(NA,1000)
resultado[1] = mnn

for(k in 2:1000) 
{
	xsim = round(runif(102, 0, 320), 1)
	ysim = round(runif(102, 0, 320), 1)
	dist2 = matrix(NA, ncol=102, nrow=102)
	
	for(i in 1:101)
            {
            	for(j in (i + 1):102) 
            	{
            	difx2 = (xsim[i]-xsim[j])^2
                dify2 =(ysim[i]-ysim[j])^2
                dist2[i,j]= sqrt(difx2 + dify2)
                dist2[j,i]= sqrt(difx2 + dify2)	
            	}
                
            }
 resultado[k] = mean(apply(dist2, 1, min, na.rm=TRUE))
}

hist(resultado) 
abline(v = mnn[1], col="red") 

p.resultado = sum( abs( resultado-mean(resultado)) >= abs( resultado-mean(resultado))[1])/length(resultado)
p.resultado


##############

#8.2

animais = read.table(file= "animais.txt", header=T,dec = "," , sep=";", as.is = T)

#removendo na
animais2 = animais[!is.na(animais$brain), ]

beta = sum( (log(animais2$body) - mean(log(animais2$body))) * (log(animais2$brain) - mean(log(animais2$brain))))/sum(	 (log(animais2$body) - mean(log(animais2$body)))^2	)

nulo = rep(NA, 1000)
nulo

nulo[1] = beta

for(i in 2:1000) 
	{
	sim_brain = sample(log(animais2$brain))
	nulo[i] = sum( (log(animais2$body) - mean(log(animais2$body))) * (sim_brain - mean(sim_brain)))/sum(	 (log(animais2$body) - mean(log(animais2$body)))^2	)	
	}

hist(nulo)
abline(v=beta, col="purple")

p.beta = sum(abs(nulo) >= beta) / length(nulo)
p.beta

