anim.m2 <- lm(log(brain)~log(body),data=Animals, 
              subset=!(log(Animals$body) > 8 & log(Animals$brain) < 6))

anim.m0 <- lm(log(brain)~1, data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6)) #modelo nulo

anova(anim.m0,anim.m2)


#Perguntas

#1. Qual a relação do comando 'anova' acima com:

#o comando anova acima faz a comparacao entre dois modelos (um deles nulo). O comando abaixo faz a particao d
#das variancias. Pelo fato de o modelo acima ser nulo, a relacao e a mesma. 

anova(anim.m2)

#2. Qual a relação entre os valores obtidos por estes comandos:

summary(anim.m0)#modelo nulo significa que a variavel preditora nao influencia o modelo, mostrando a estimativa no y

mean(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)])) #eh o proprio intercepto no eixo y

sd(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)])) #eh o erro padrao populacional

#por ser um modelo nulo usa os proprios valores amostrais

#Dica
#Um comando mais curto para ajustar o modelo deste exercício, e que ajuda a interpretá-lo:

anim.m0 <- update(anim.m2, .~. -log(body))

summary(anim.m0)