##### Ex. 7.2 O modelo mais simples possivel #####
library(MASS)
data(Animals)
str(Animals)

anim.m2 <- lm(log(brain)~log(body), data=Animals, 
              subset = !(log(Animals$body)>8 & log(Animals$brain)<6))

anim.m0 <- lm(log(brain)~1, data=Animals, 
              subset=!(log(Animals$body)>8 & log(Animals$brain) <6))

anova(anim.m0, anim.m2)
anova(anim.m2)

##Perguntas##
#1. Qual a relação do comando 'anova' acima com:
anova(anim.m2)

#Resp.: Ambos comparam o modelo mais complexo ajustado (anim.m2), ao modelo nulo,
        #em que log(brain) eh ajustado em funcao da propria media

#2. Qual a relação entre os valores obtidos por estes comandos:
summary(anim.m0)
mean(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
sd(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))

#Resp.: Em anim.m0 nossa variavel resposta (log(brain)) foi ajustada em funcao
        #da propria media, assim, o valor do intercepto estimado eh exatamente 
        #igual ao valor da media dos dados selecionados em mean(). O mesmo vale
        #para o erro padrao dos residuos, em que o valor eh exatamente o mesmo
        #calculado para o desvio padrao dos dados selecionados em sd().