#7.2 O modelo mais simples possível

library(MASS)
data(Animals)
str(Animals)
anim.m2 <- lm(log(brain)~log(body),data=Animals, subset=!(log(Animals$body)>8&log(Animals$brain)<6))
anim.m2
anim.m0 <- lm(log(brain)~1, data=Animals, subset=!(log(Animals$body)>8&log(Animals$brain)<6))
anim.m0
anova(anim.m0,anim.m2)

#Perguntas

#1. 
anova(anim.m2)  
##Os dois comandos retornam o mesmo resultado. O primeiro comando é a comparação entre anim.m2 e o modelo nulo, que está especificado, já o segundo não especificamos qual o modelo para comparação [anova(anim.m2)], mas o R automaticamente compara com o modelo nulo. 

#2.
summary(anim.m0)
mean(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
sd(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
##A média sem outliers é equivalente ao intercepto e o valor do desvio padrão sem outliers é igual ao erro padrão

